# $Revision: 1.11 $, $Date: 2004/05/07 01:09:16 $
%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	CBCeasy
Summary:	Crypt::CBCeasy Perl module - makes use of Crypt::CBC simpler
Summary(pl):	Modu Perla Crypt::CBCeasy - upraszczajcy sposb uycia Crypt::CBC
Name:		perl-Crypt-CBCeasy
Version:	0.24
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	728fb6478c2ad7b13bfcb104ba073fca
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-Crypt-CBC >= 1.20
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	perl(Crypt::CBC) >= 1.20
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module is a helper for Crypt::CBC to make simple and usual jobs
just one-liners.

%description -l pl
Jest to modu pomocniczy dla Crypt::CBC, aby uproci wykonywanie
prostych rzeczy w jednolinijkowcach.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install eg/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Crypt/CBCeasy.pm
%{_mandir}/man3/*
%dir %{_examplesdir}/%{name}-%{version}
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/CBCeasy_sock.pl
%{_examplesdir}/%{name}-%{version}/chat2new.pl

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Crypt-CBCeasy.spec,v $
Revision 1.11  2004/05/07 01:09:16  ankry
- rel. 3

Revision 1.10  2004/05/06 18:09:22  ankry
- fixed perl-devel BR

Revision 1.9  2004/04/19 19:37:07  ankry
- license fixes and unification

Revision 1.8  2003/08/18 08:08:34  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.7  2003/05/28 13:00:30  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/04/11 18:59:22  radek
- BR: perl-devel; do not BR: perl

Revision 1.4  2003/03/01 18:46:20  radek
- should be ready for perl-5.8.0; release++

Revision 1.3  2003/02/25 00:37:41  radek
- use the __perl macro

Revision 1.2  2003/02/18 15:28:41  ankry
- massive attack: change CPAN URLs

Revision 1.1  2002/07/28 22:18:02  qboosh
- new

